<?php

namespace FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateFromRequestHeaderUserFieldValue StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:CreateFromRequestHeaderUserFieldValue
 * @subpackage Structs
 */
class CreateFromRequestHeaderUserFieldValue extends AbstractStructBase
{
    /**
     * The BooleanValue
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $BooleanValue;
    /**
     * The DateValue
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $DateValue;
    /**
     * The ListElementValue
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ListElementValue;
    /**
     * The NumberValue
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var float
     */
    public $NumberValue;
    /**
     * The TextValue
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TextValue;
    /**
     * Constructor method for CreateFromRequestHeaderUserFieldValue
     * @uses CreateFromRequestHeaderUserFieldValue::setBooleanValue()
     * @uses CreateFromRequestHeaderUserFieldValue::setDateValue()
     * @uses CreateFromRequestHeaderUserFieldValue::setListElementValue()
     * @uses CreateFromRequestHeaderUserFieldValue::setNumberValue()
     * @uses CreateFromRequestHeaderUserFieldValue::setTextValue()
     * @param bool $booleanValue
     * @param string $dateValue
     * @param string $listElementValue
     * @param float $numberValue
     * @param string $textValue
     */
    public function __construct($booleanValue = null, $dateValue = null, $listElementValue = null, $numberValue = null, $textValue = null)
    {
        $this
            ->setBooleanValue($booleanValue)
            ->setDateValue($dateValue)
            ->setListElementValue($listElementValue)
            ->setNumberValue($numberValue)
            ->setTextValue($textValue);
    }
    /**
     * Get BooleanValue value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getBooleanValue()
    {
        return isset($this->BooleanValue) ? $this->BooleanValue : null;
    }
    /**
     * Set BooleanValue value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $booleanValue
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromRequestHeaderUserFieldValue
     */
    public function setBooleanValue($booleanValue = null)
    {
        // validation for constraint: boolean
        if (!is_null($booleanValue) && !is_bool($booleanValue)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($booleanValue, true), gettype($booleanValue)), __LINE__);
        }
        if (is_null($booleanValue) || (is_array($booleanValue) && empty($booleanValue))) {
            unset($this->BooleanValue);
        } else {
            $this->BooleanValue = $booleanValue;
        }
        return $this;
    }
    /**
     * Get DateValue value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDateValue()
    {
        return isset($this->DateValue) ? $this->DateValue : null;
    }
    /**
     * Set DateValue value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $dateValue
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromRequestHeaderUserFieldValue
     */
    public function setDateValue($dateValue = null)
    {
        // validation for constraint: string
        if (!is_null($dateValue) && !is_string($dateValue)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dateValue, true), gettype($dateValue)), __LINE__);
        }
        if (is_null($dateValue) || (is_array($dateValue) && empty($dateValue))) {
            unset($this->DateValue);
        } else {
            $this->DateValue = $dateValue;
        }
        return $this;
    }
    /**
     * Get ListElementValue value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getListElementValue()
    {
        return isset($this->ListElementValue) ? $this->ListElementValue : null;
    }
    /**
     * Set ListElementValue value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $listElementValue
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromRequestHeaderUserFieldValue
     */
    public function setListElementValue($listElementValue = null)
    {
        // validation for constraint: string
        if (!is_null($listElementValue) && !is_string($listElementValue)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($listElementValue, true), gettype($listElementValue)), __LINE__);
        }
        if (is_null($listElementValue) || (is_array($listElementValue) && empty($listElementValue))) {
            unset($this->ListElementValue);
        } else {
            $this->ListElementValue = $listElementValue;
        }
        return $this;
    }
    /**
     * Get NumberValue value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return float|null
     */
    public function getNumberValue()
    {
        return isset($this->NumberValue) ? $this->NumberValue : null;
    }
    /**
     * Set NumberValue value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param float $numberValue
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromRequestHeaderUserFieldValue
     */
    public function setNumberValue($numberValue = null)
    {
        // validation for constraint: float
        if (!is_null($numberValue) && !(is_float($numberValue) || is_numeric($numberValue))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($numberValue, true), gettype($numberValue)), __LINE__);
        }
        if (is_null($numberValue) || (is_array($numberValue) && empty($numberValue))) {
            unset($this->NumberValue);
        } else {
            $this->NumberValue = $numberValue;
        }
        return $this;
    }
    /**
     * Get TextValue value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTextValue()
    {
        return isset($this->TextValue) ? $this->TextValue : null;
    }
    /**
     * Set TextValue value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $textValue
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromRequestHeaderUserFieldValue
     */
    public function setTextValue($textValue = null)
    {
        // validation for constraint: string
        if (!is_null($textValue) && !is_string($textValue)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($textValue, true), gettype($textValue)), __LINE__);
        }
        if (is_null($textValue) || (is_array($textValue) && empty($textValue))) {
            unset($this->TextValue);
        } else {
            $this->TextValue = $textValue;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\CustomerOrderManagementService\StructType\CreateFromRequestHeaderUserFieldValue
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
