<?php

namespace FiloBlu\CegidY2\Api\ItemInventoryWcfService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetListItemInventoryDetailByStore_Reply StructType
 * Meta information extracted from the WSDL
 * - documentation: Reply of the GetListItemInventoryDetailByStore service
 * - nillable: true
 * - type: tns:GetListItemInventoryDetailByStore_Reply
 * @subpackage Structs
 */
class GetListItemInventoryDetailByStore_Reply extends AbstractStructBase
{
    /**
     * The InventoryDetailsByStore
     * Meta information extracted from the WSDL
     * - documentation: Inventory list by item and store.
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\ItemInventoryWcfService\ArrayType\ArrayOfAvailableQtyByItemByStore
     */
    public $InventoryDetailsByStore;
    /**
     * Constructor method for GetListItemInventoryDetailByStore_Reply
     * @uses GetListItemInventoryDetailByStore_Reply::setInventoryDetailsByStore()
     * @param \FiloBlu\CegidY2\Api\ItemInventoryWcfService\ArrayType\ArrayOfAvailableQtyByItemByStore $inventoryDetailsByStore
     */
    public function __construct(\FiloBlu\CegidY2\Api\ItemInventoryWcfService\ArrayType\ArrayOfAvailableQtyByItemByStore $inventoryDetailsByStore = null)
    {
        $this
            ->setInventoryDetailsByStore($inventoryDetailsByStore);
    }
    /**
     * Get InventoryDetailsByStore value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\ItemInventoryWcfService\ArrayType\ArrayOfAvailableQtyByItemByStore|null
     */
    public function getInventoryDetailsByStore()
    {
        return isset($this->InventoryDetailsByStore) ? $this->InventoryDetailsByStore : null;
    }
    /**
     * Set InventoryDetailsByStore value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\ItemInventoryWcfService\ArrayType\ArrayOfAvailableQtyByItemByStore $inventoryDetailsByStore
     * @return \FiloBlu\CegidY2\Api\ItemInventoryWcfService\StructType\GetListItemInventoryDetailByStore_Reply
     */
    public function setInventoryDetailsByStore(\FiloBlu\CegidY2\Api\ItemInventoryWcfService\ArrayType\ArrayOfAvailableQtyByItemByStore $inventoryDetailsByStore = null)
    {
        if (is_null($inventoryDetailsByStore) || (is_array($inventoryDetailsByStore) && empty($inventoryDetailsByStore))) {
            unset($this->InventoryDetailsByStore);
        } else {
            $this->InventoryDetailsByStore = $inventoryDetailsByStore;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\ItemInventoryWcfService\StructType\GetListItemInventoryDetailByStore_Reply
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
