<?php

namespace FiloBlu\CegidY2\Api\SaleDocumentService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetByExternalReferenceResponse StructType
 * Meta information extracted from the WSDL
 * - documentation: [Added 2013/04 - V1102] - Gets a list of sales documents based on an external reference.
 * @subpackage Structs
 */
class GetByExternalReferenceResponse extends AbstractStructBase
{
    /**
     * The GetByExternalReferenceResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\GetByExternalReference_Reply
     */
    public $GetByExternalReferenceResult;
    /**
     * Constructor method for GetByExternalReferenceResponse
     * @uses GetByExternalReferenceResponse::setGetByExternalReferenceResult()
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\GetByExternalReference_Reply $getByExternalReferenceResult
     */
    public function __construct(\FiloBlu\CegidY2\Api\SaleDocumentService\StructType\GetByExternalReference_Reply $getByExternalReferenceResult = null)
    {
        $this
            ->setGetByExternalReferenceResult($getByExternalReferenceResult);
    }
    /**
     * Get GetByExternalReferenceResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\GetByExternalReference_Reply|null
     */
    public function getGetByExternalReferenceResult()
    {
        return isset($this->GetByExternalReferenceResult) ? $this->GetByExternalReferenceResult : null;
    }
    /**
     * Set GetByExternalReferenceResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\GetByExternalReference_Reply $getByExternalReferenceResult
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\GetByExternalReferenceResponse
     */
    public function setGetByExternalReferenceResult(\FiloBlu\CegidY2\Api\SaleDocumentService\StructType\GetByExternalReference_Reply $getByExternalReferenceResult = null)
    {
        if (is_null($getByExternalReferenceResult) || (is_array($getByExternalReferenceResult) && empty($getByExternalReferenceResult))) {
            unset($this->GetByExternalReferenceResult);
        } else {
            $this->GetByExternalReferenceResult = $getByExternalReferenceResult;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\SaleDocumentService\StructType\GetByExternalReferenceResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
