<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'HelloWorld' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\HelloWorld',
            'RetailContext' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\RetailContext',
            'HelloWorldResponse' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\HelloWorldResponse',
            'Create' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\Create',
            'CreateRequest' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateRequest',
            'CreateRequestHeader' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateRequestHeader',
            'CreateRequestHeaderRecipient' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateRequestHeaderRecipient',
            'CreateRequestHeaderSender' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateRequestHeaderSender',
            'CreateRequestLineCollection' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateRequestLineCollection',
            'CreateRequestLine' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateRequestLine',
            'CreateRequestLineItemIdentifier' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateRequestLineItemIdentifier',
            'CreateResponse' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateResponse',
            'CreateReply' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateReply',
            'CreateReplyDocumentCollection' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateReplyDocumentCollection',
            'CreateReplyDocument' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateReplyDocument',
            'CreateReplyDocumentKey' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateReplyDocumentKey',
            'CreateFrom' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateFrom',
            'CreateFromRequest' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateFromRequest',
            'CreateFromRequestHeader' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateFromRequestHeader',
            'CreateFromRequestHeaderKey' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateFromRequestHeaderKey',
            'CreateFromRequestHeaderRemainderManagement' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateFromRequestHeaderRemainderManagement',
            'CreateFromRequestLineCollection' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateFromRequestLineCollection',
            'CreateFromRequestLine' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateFromRequestLine',
            'CreateFromRequestLineItemIdentifier' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateFromRequestLineItemIdentifier',
            'CreateFromResponse' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateFromResponse',
            'CreateFromReply' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateFromReply',
            'CreateFromReplyDocumentCollection' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateFromReplyDocumentCollection',
            'CreateFromReplyDocument' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateFromReplyDocument',
            'CreateFromReplyDocumentKey' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CreateFromReplyDocumentKey',
            'GetDetail' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetDetail',
            'GetDetailRequest' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetDetailRequest',
            'DocumentKey' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\DocumentKey',
            'GetDetailResponse' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetDetailResponse',
            'GetDetailReply' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetDetailReply',
            'GetDetailReplyLineCollection' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetDetailReplyLineCollection',
            'GetDetailReplyLine' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetDetailReplyLine',
            'GetDetailReplyLineQuantityToPrepareForCustomers' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetDetailReplyLineQuantityToPrepareForCustomers',
            'GetList' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetList',
            'GetListRequest' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListRequest',
            'Paging' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\Paging',
            'GetListRequestSearchDate' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListRequestSearchDate',
            'GetListResponse' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListResponse',
            'GetListReply' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListReply',
            'GetListReplyTransferCollection' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListReplyTransferCollection',
            'GetListReplyTransfer' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListReplyTransfer',
            'GetListReplyTransferPresenceOfItemsForCustomers' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListReplyTransferPresenceOfItemsForCustomers',
            'GetListReplyTransferRecipient' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListReplyTransferRecipient',
            'GetListReplyTransferRecipientStore' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListReplyTransferRecipientStore',
            'GetListReplyTransferRecipientWarehouse' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListReplyTransferRecipientWarehouse',
            'GetListDetail' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetail',
            'GetListDetailRequest' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetailRequest',
            'GetListDetailRequestSearchDate' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetailRequestSearchDate',
            'GetListDetailResponse' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetailResponse',
            'GetListDetailReply' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetailReply',
            'GetListDetailReplyTransferCollection' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetailReplyTransferCollection',
            'GetListDetailReplyTransfer' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetailReplyTransfer',
            'GetListDetailReplyTransferHeader' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetailReplyTransferHeader',
            'GetListDetailReplyTransferHeaderPresenceOfItemsForCustomers' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetailReplyTransferHeaderPresenceOfItemsForCustomers',
            'GetListDetailReplyTransferHeaderRecipient' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetailReplyTransferHeaderRecipient',
            'GetListDetailReplyTransferHeaderRecipientStore' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetailReplyTransferHeaderRecipientStore',
            'GetListDetailReplyTransferHeaderRecipientWarehouse' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetailReplyTransferHeaderRecipientWarehouse',
            'GetListDetailReplyTransferLineCollection' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetailReplyTransferLineCollection',
            'GetListDetailReplyTransferLine' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetailReplyTransferLine',
            'GetListDetailReplyTransferLineQuantityToPrepareForCustomers' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\GetListDetailReplyTransferLineQuantityToPrepareForCustomers',
            'Refuse' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\Refuse',
            'RefuseRequest' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\RefuseRequest',
            'RefuseRequestKey' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\RefuseRequestKey',
            'RefuseResponse' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\RefuseResponse',
            'ExceptionDetail' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\ExceptionDetail',
            'CbpExceptionDetail' => '\\FiloBlu\\CegidY2\\Api\\TransferItemsDeliveryManagementService\\StructType\\CbpExceptionDetail',
        );
    }
}
