<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\EnumType;

/**
 * This class stands for ItemsDeliveryDocumentTypeCreat EnumType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ItemsDeliveryDocumentTypeCreat
 * @subpackage Enumerations
 */
class ItemsDeliveryDocumentTypeCreat
{
    /**
     * Constant for value 'SentTransfer'
     * @return string 'SentTransfer'
     */
    const VALUE_SENT_TRANSFER = 'SentTransfer';
    /**
     * Return true if value is allowed
     * @uses self::getValidValues()
     * @param mixed $value value
     * @return bool true|false
     */
    public static function valueIsValid($value)
    {
        return ($value === null) || in_array($value, self::getValidValues(), true);
    }
    /**
     * Return allowed values
     * @uses self::VALUE_SENT_TRANSFER
     * @return string[]
     */
    public static function getValidValues()
    {
        return array(
            self::VALUE_SENT_TRANSFER,
        );
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
