<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Get ServiceType
 * @subpackage Services
 */
class Get extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named GetDetail
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetail $parameters
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailResponse|bool
     */
    public function GetDetail(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetail $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetDetail($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetList $parameters
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListResponse|bool
     */
    public function GetList(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetListDetail
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetail $parameters
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailResponse|bool
     */
    public function GetListDetail(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetail $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetListDetail($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailResponse|\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailResponse|\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
