<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Refuse ServiceType
 * @subpackage Services
 */
class Refuse extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named Refuse
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\Refuse $parameters
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\RefuseResponse|bool
     */
    public function Refuse(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\Refuse $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Refuse($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\RefuseResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
