<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateFromReplyDocument StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:CreateFromReplyDocument
 * @subpackage Structs
 */
class CreateFromReplyDocument extends AbstractStructBase
{
    /**
     * The Key
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromReplyDocumentKey
     */
    public $Key;
    /**
     * Constructor method for CreateFromReplyDocument
     * @uses CreateFromReplyDocument::setKey()
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromReplyDocumentKey $key
     */
    public function __construct(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromReplyDocumentKey $key = null)
    {
        $this
            ->setKey($key);
    }
    /**
     * Get Key value
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromReplyDocumentKey|null
     */
    public function getKey()
    {
        return $this->Key;
    }
    /**
     * Set Key value
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromReplyDocumentKey $key
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromReplyDocument
     */
    public function setKey(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromReplyDocumentKey $key = null)
    {
        $this->Key = $key;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromReplyDocument
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
