<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateFromRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:CreateFromRequest
 * @subpackage Structs
 */
class CreateFromRequest extends AbstractStructBase
{
    /**
     * The Header
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequestHeader
     */
    public $Header;
    /**
     * The Lines
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequestLineCollection
     */
    public $Lines;
    /**
     * Constructor method for CreateFromRequest
     * @uses CreateFromRequest::setHeader()
     * @uses CreateFromRequest::setLines()
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequestHeader $header
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequestLineCollection $lines
     */
    public function __construct(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequestHeader $header = null, \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequestLineCollection $lines = null)
    {
        $this
            ->setHeader($header)
            ->setLines($lines);
    }
    /**
     * Get Header value
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequestHeader|null
     */
    public function getHeader()
    {
        return $this->Header;
    }
    /**
     * Set Header value
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequestHeader $header
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequest
     */
    public function setHeader(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequestHeader $header = null)
    {
        $this->Header = $header;
        return $this;
    }
    /**
     * Get Lines value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequestLineCollection|null
     */
    public function getLines()
    {
        return isset($this->Lines) ? $this->Lines : null;
    }
    /**
     * Set Lines value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequestLineCollection $lines
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequest
     */
    public function setLines(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequestLineCollection $lines = null)
    {
        if (is_null($lines) || (is_array($lines) && empty($lines))) {
            unset($this->Lines);
        } else {
            $this->Lines = $lines;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
