<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetDetailReply StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetDetailReply
 * @subpackage Structs
 */
class GetDetailReply extends AbstractStructBase
{
    /**
     * The Lines
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailReplyLineCollection
     */
    public $Lines;
    /**
     * Constructor method for GetDetailReply
     * @uses GetDetailReply::setLines()
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailReplyLineCollection $lines
     */
    public function __construct(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailReplyLineCollection $lines = null)
    {
        $this
            ->setLines($lines);
    }
    /**
     * Get Lines value
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailReplyLineCollection|null
     */
    public function getLines()
    {
        return $this->Lines;
    }
    /**
     * Set Lines value
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailReplyLineCollection $lines
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailReply
     */
    public function setLines(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailReplyLineCollection $lines = null)
    {
        $this->Lines = $lines;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailReply
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
