<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetDetailResponse StructType
 * @subpackage Structs
 */
class GetDetailResponse extends AbstractStructBase
{
    /**
     * The GetDetailResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailReply
     */
    public $GetDetailResult;
    /**
     * Constructor method for GetDetailResponse
     * @uses GetDetailResponse::setGetDetailResult()
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailReply $getDetailResult
     */
    public function __construct(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailReply $getDetailResult = null)
    {
        $this
            ->setGetDetailResult($getDetailResult);
    }
    /**
     * Get GetDetailResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailReply|null
     */
    public function getGetDetailResult()
    {
        return isset($this->GetDetailResult) ? $this->GetDetailResult : null;
    }
    /**
     * Set GetDetailResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailReply $getDetailResult
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailResponse
     */
    public function setGetDetailResult(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailReply $getDetailResult = null)
    {
        if (is_null($getDetailResult) || (is_array($getDetailResult) && empty($getDetailResult))) {
            unset($this->GetDetailResult);
        } else {
            $this->GetDetailResult = $getDetailResult;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetDetailResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
