<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetListDetailReplyTransfer StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetListDetailReplyTransfer
 * @subpackage Structs
 */
class GetListDetailReplyTransfer extends AbstractStructBase
{
    /**
     * The Header
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferHeader
     */
    public $Header;
    /**
     * The Lines
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferLineCollection
     */
    public $Lines;
    /**
     * Constructor method for GetListDetailReplyTransfer
     * @uses GetListDetailReplyTransfer::setHeader()
     * @uses GetListDetailReplyTransfer::setLines()
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferHeader $header
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferLineCollection $lines
     */
    public function __construct(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferHeader $header = null, \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferLineCollection $lines = null)
    {
        $this
            ->setHeader($header)
            ->setLines($lines);
    }
    /**
     * Get Header value
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferHeader|null
     */
    public function getHeader()
    {
        return $this->Header;
    }
    /**
     * Set Header value
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferHeader $header
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransfer
     */
    public function setHeader(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferHeader $header = null)
    {
        $this->Header = $header;
        return $this;
    }
    /**
     * Get Lines value
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferLineCollection|null
     */
    public function getLines()
    {
        return $this->Lines;
    }
    /**
     * Set Lines value
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferLineCollection $lines
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransfer
     */
    public function setLines(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferLineCollection $lines = null)
    {
        $this->Lines = $lines;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransfer
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
