<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetListReplyTransferRecipientStore StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetListReplyTransferRecipientStore
 * @subpackage Structs
 */
class GetListReplyTransferRecipientStore extends AbstractStructBase
{
    /**
     * The Description
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $Description;
    /**
     * The Email
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $Email;
    /**
     * The Fax
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $Fax;
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $Id;
    /**
     * The Phone
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $Phone;
    /**
     * The Phone2
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $Phone2;
    /**
     * Constructor method for GetListReplyTransferRecipientStore
     * @uses GetListReplyTransferRecipientStore::setDescription()
     * @uses GetListReplyTransferRecipientStore::setEmail()
     * @uses GetListReplyTransferRecipientStore::setFax()
     * @uses GetListReplyTransferRecipientStore::setId()
     * @uses GetListReplyTransferRecipientStore::setPhone()
     * @uses GetListReplyTransferRecipientStore::setPhone2()
     * @param string $description
     * @param string $email
     * @param string $fax
     * @param string $id
     * @param string $phone
     * @param string $phone2
     */
    public function __construct($description = null, $email = null, $fax = null, $id = null, $phone = null, $phone2 = null)
    {
        $this
            ->setDescription($description)
            ->setEmail($email)
            ->setFax($fax)
            ->setId($id)
            ->setPhone($phone)
            ->setPhone2($phone2);
    }
    /**
     * Get Description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->Description;
    }
    /**
     * Set Description value
     * @param string $description
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientStore
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($description, true), gettype($description)), __LINE__);
        }
        $this->Description = $description;
        return $this;
    }
    /**
     * Get Email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->Email;
    }
    /**
     * Set Email value
     * @param string $email
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientStore
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email, true), gettype($email)), __LINE__);
        }
        $this->Email = $email;
        return $this;
    }
    /**
     * Get Fax value
     * @return string|null
     */
    public function getFax()
    {
        return $this->Fax;
    }
    /**
     * Set Fax value
     * @param string $fax
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientStore
     */
    public function setFax($fax = null)
    {
        // validation for constraint: string
        if (!is_null($fax) && !is_string($fax)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fax, true), gettype($fax)), __LINE__);
        }
        $this->Fax = $fax;
        return $this;
    }
    /**
     * Get Id value
     * @return string|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param string $id
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientStore
     */
    public function setId($id = null)
    {
        // validation for constraint: string
        if (!is_null($id) && !is_string($id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->Id = $id;
        return $this;
    }
    /**
     * Get Phone value
     * @return string|null
     */
    public function getPhone()
    {
        return $this->Phone;
    }
    /**
     * Set Phone value
     * @param string $phone
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientStore
     */
    public function setPhone($phone = null)
    {
        // validation for constraint: string
        if (!is_null($phone) && !is_string($phone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($phone, true), gettype($phone)), __LINE__);
        }
        $this->Phone = $phone;
        return $this;
    }
    /**
     * Get Phone2 value
     * @return string|null
     */
    public function getPhone2()
    {
        return $this->Phone2;
    }
    /**
     * Set Phone2 value
     * @param string $phone2
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientStore
     */
    public function setPhone2($phone2 = null)
    {
        // validation for constraint: string
        if (!is_null($phone2) && !is_string($phone2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($phone2, true), gettype($phone2)), __LINE__);
        }
        $this->Phone2 = $phone2;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientStore
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
