<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetListResponse StructType
 * @subpackage Structs
 */
class GetListResponse extends AbstractStructBase
{
    /**
     * The GetListResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReply
     */
    public $GetListResult;
    /**
     * Constructor method for GetListResponse
     * @uses GetListResponse::setGetListResult()
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReply $getListResult
     */
    public function __construct(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReply $getListResult = null)
    {
        $this
            ->setGetListResult($getListResult);
    }
    /**
     * Get GetListResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReply|null
     */
    public function getGetListResult()
    {
        return isset($this->GetListResult) ? $this->GetListResult : null;
    }
    /**
     * Set GetListResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReply $getListResult
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListResponse
     */
    public function setGetListResult(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReply $getListResult = null)
    {
        if (is_null($getListResult) || (is_array($getListResult) && empty($getListResult))) {
            unset($this->GetListResult);
        } else {
            $this->GetListResult = $getListResult;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
