<?php

namespace FiloBlu\CegidY2\Model\Config\Source;
use FiloBlu\CegidY2\Api\SaleDocumentService\EnumType\DocumentOrigin;

class DocumentOrigins implements \Magento\Framework\Option\ArrayInterface
{
    private $saleDocumentOrigins;
    public function __construct(
        DocumentOrigin $saleDocumentOrigins
    )
    {
        $this->saleDocumentOrigins = $saleDocumentOrigins;
    }

    public function toOptionArray()
    {
        $values = $this->saleDocumentOrigins->getValidValues();
        $values = array_combine($values,$values);
        return $values;
    }
}

