<?php

namespace FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CbpExceptionDetail StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:CbpExceptionDetail
 * @subpackage Structs
 */
class CbpExceptionDetail extends ExceptionDetail
{
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Id;
    /**
     * The ToDo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ToDo;
    /**
     * Constructor method for CbpExceptionDetail
     * @uses CbpExceptionDetail::setId()
     * @uses CbpExceptionDetail::setToDo()
     * @param string $id
     * @param string $toDo
     */
    public function __construct($id = null, $toDo = null)
    {
        $this
            ->setId($id)
            ->setToDo($toDo);
    }
    /**
     * Get Id value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getId()
    {
        return isset($this->Id) ? $this->Id : null;
    }
    /**
     * Set Id value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $id
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\CbpExceptionDetail
     */
    public function setId($id = null)
    {
        // validation for constraint: string
        if (!is_null($id) && !is_string($id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        if (is_null($id) || (is_array($id) && empty($id))) {
            unset($this->Id);
        } else {
            $this->Id = $id;
        }
        return $this;
    }
    /**
     * Get ToDo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getToDo()
    {
        return isset($this->ToDo) ? $this->ToDo : null;
    }
    /**
     * Set ToDo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $toDo
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\CbpExceptionDetail
     */
    public function setToDo($toDo = null)
    {
        // validation for constraint: string
        if (!is_null($toDo) && !is_string($toDo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($toDo, true), gettype($toDo)), __LINE__);
        }
        if (is_null($toDo) || (is_array($toDo) && empty($toDo))) {
            unset($this->ToDo);
        } else {
            $this->ToDo = $toDo;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\LoyaltyWcfService\StructType\CbpExceptionDetail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
