<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\EnumType;

/**
 * This class stands for ItemsDeliveryDocumentTypeOriginTransfo EnumType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ItemsDeliveryDocumentTypeOriginTransfo
 * @subpackage Enumerations
 */
class ItemsDeliveryDocumentTypeOriginTransfo
{
    /**
     * Constant for value 'TransferRequest'
     * @return string 'TransferRequest'
     */
    const VALUE_TRANSFER_REQUEST = 'TransferRequest';
    /**
     * Return true if value is allowed
     * @uses self::getValidValues()
     * @param mixed $value value
     * @return bool true|false
     */
    public static function valueIsValid($value)
    {
        return ($value === null) || in_array($value, self::getValidValues(), true);
    }
    /**
     * Return allowed values
     * @uses self::VALUE_TRANSFER_REQUEST
     * @return string[]
     */
    public static function getValidValues()
    {
        return array(
            self::VALUE_TRANSFER_REQUEST,
        );
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
