<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateFromResponse StructType
 * @subpackage Structs
 */
class CreateFromResponse extends AbstractStructBase
{
    /**
     * The CreateFromResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromReply
     */
    public $CreateFromResult;
    /**
     * Constructor method for CreateFromResponse
     * @uses CreateFromResponse::setCreateFromResult()
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromReply $createFromResult
     */
    public function __construct(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromReply $createFromResult = null)
    {
        $this
            ->setCreateFromResult($createFromResult);
    }
    /**
     * Get CreateFromResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromReply|null
     */
    public function getCreateFromResult()
    {
        return isset($this->CreateFromResult) ? $this->CreateFromResult : null;
    }
    /**
     * Set CreateFromResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromReply $createFromResult
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromResponse
     */
    public function setCreateFromResult(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromReply $createFromResult = null)
    {
        if (is_null($createFromResult) || (is_array($createFromResult) && empty($createFromResult))) {
            unset($this->CreateFromResult);
        } else {
            $this->CreateFromResult = $createFromResult;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\CreateFromResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
