<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for
 * GetListDetailReplyTransferLineQuantityToPrepareForCustomers StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetListDetailReplyTransferLineQuantityToPrepareForCustomers
 * @subpackage Structs
 */
class GetListDetailReplyTransferLineQuantityToPrepareForCustomers extends AbstractStructBase
{
    /**
     * The CustomerOrders
     * @var float
     */
    public $CustomerOrders;
    /**
     * The ReservationRequests
     * @var float
     */
    public $ReservationRequests;
    /**
     * Constructor method for
     * GetListDetailReplyTransferLineQuantityToPrepareForCustomers
     * @uses GetListDetailReplyTransferLineQuantityToPrepareForCustomers::setCustomerOrders()
     * @uses GetListDetailReplyTransferLineQuantityToPrepareForCustomers::setReservationRequests()
     * @param float $customerOrders
     * @param float $reservationRequests
     */
    public function __construct($customerOrders = null, $reservationRequests = null)
    {
        $this
            ->setCustomerOrders($customerOrders)
            ->setReservationRequests($reservationRequests);
    }
    /**
     * Get CustomerOrders value
     * @return float|null
     */
    public function getCustomerOrders()
    {
        return $this->CustomerOrders;
    }
    /**
     * Set CustomerOrders value
     * @param float $customerOrders
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferLineQuantityToPrepareForCustomers
     */
    public function setCustomerOrders($customerOrders = null)
    {
        // validation for constraint: float
        if (!is_null($customerOrders) && !(is_float($customerOrders) || is_numeric($customerOrders))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($customerOrders, true), gettype($customerOrders)), __LINE__);
        }
        $this->CustomerOrders = $customerOrders;
        return $this;
    }
    /**
     * Get ReservationRequests value
     * @return float|null
     */
    public function getReservationRequests()
    {
        return $this->ReservationRequests;
    }
    /**
     * Set ReservationRequests value
     * @param float $reservationRequests
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferLineQuantityToPrepareForCustomers
     */
    public function setReservationRequests($reservationRequests = null)
    {
        // validation for constraint: float
        if (!is_null($reservationRequests) && !(is_float($reservationRequests) || is_numeric($reservationRequests))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($reservationRequests, true), gettype($reservationRequests)), __LINE__);
        }
        $this->ReservationRequests = $reservationRequests;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReplyTransferLineQuantityToPrepareForCustomers
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
