<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetListDetailResponse StructType
 * @subpackage Structs
 */
class GetListDetailResponse extends AbstractStructBase
{
    /**
     * The GetListDetailResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReply
     */
    public $GetListDetailResult;
    /**
     * Constructor method for GetListDetailResponse
     * @uses GetListDetailResponse::setGetListDetailResult()
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReply $getListDetailResult
     */
    public function __construct(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReply $getListDetailResult = null)
    {
        $this
            ->setGetListDetailResult($getListDetailResult);
    }
    /**
     * Get GetListDetailResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReply|null
     */
    public function getGetListDetailResult()
    {
        return isset($this->GetListDetailResult) ? $this->GetListDetailResult : null;
    }
    /**
     * Set GetListDetailResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReply $getListDetailResult
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailResponse
     */
    public function setGetListDetailResult(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailReply $getListDetailResult = null)
    {
        if (is_null($getListDetailResult) || (is_array($getListDetailResult) && empty($getListDetailResult))) {
            unset($this->GetListDetailResult);
        } else {
            $this->GetListDetailResult = $getListDetailResult;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListDetailResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
