<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetListReply StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetListReply
 * @subpackage Structs
 */
class GetListReply extends AbstractStructBase
{
    /**
     * The Transfers
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferCollection
     */
    public $Transfers;
    /**
     * Constructor method for GetListReply
     * @uses GetListReply::setTransfers()
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferCollection $transfers
     */
    public function __construct(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferCollection $transfers = null)
    {
        $this
            ->setTransfers($transfers);
    }
    /**
     * Get Transfers value
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferCollection|null
     */
    public function getTransfers()
    {
        return $this->Transfers;
    }
    /**
     * Set Transfers value
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferCollection $transfers
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReply
     */
    public function setTransfers(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferCollection $transfers = null)
    {
        $this->Transfers = $transfers;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReply
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
