<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetListReplyTransferPresenceOfItemsForCustomers StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetListReplyTransferPresenceOfItemsForCustomers
 * @subpackage Structs
 */
class GetListReplyTransferPresenceOfItemsForCustomers extends AbstractStructBase
{
    /**
     * The ECommerceOrder
     * @var bool
     */
    public $ECommerceOrder;
    /**
     * The ReservationRequests
     * @var bool
     */
    public $ReservationRequests;
    /**
     * The RetailOrders
     * @var bool
     */
    public $RetailOrders;
    /**
     * Constructor method for GetListReplyTransferPresenceOfItemsForCustomers
     * @uses GetListReplyTransferPresenceOfItemsForCustomers::setECommerceOrder()
     * @uses GetListReplyTransferPresenceOfItemsForCustomers::setReservationRequests()
     * @uses GetListReplyTransferPresenceOfItemsForCustomers::setRetailOrders()
     * @param bool $eCommerceOrder
     * @param bool $reservationRequests
     * @param bool $retailOrders
     */
    public function __construct($eCommerceOrder = null, $reservationRequests = null, $retailOrders = null)
    {
        $this
            ->setECommerceOrder($eCommerceOrder)
            ->setReservationRequests($reservationRequests)
            ->setRetailOrders($retailOrders);
    }
    /**
     * Get ECommerceOrder value
     * @return bool|null
     */
    public function getECommerceOrder()
    {
        return $this->ECommerceOrder;
    }
    /**
     * Set ECommerceOrder value
     * @param bool $eCommerceOrder
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferPresenceOfItemsForCustomers
     */
    public function setECommerceOrder($eCommerceOrder = null)
    {
        // validation for constraint: boolean
        if (!is_null($eCommerceOrder) && !is_bool($eCommerceOrder)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($eCommerceOrder, true), gettype($eCommerceOrder)), __LINE__);
        }
        $this->ECommerceOrder = $eCommerceOrder;
        return $this;
    }
    /**
     * Get ReservationRequests value
     * @return bool|null
     */
    public function getReservationRequests()
    {
        return $this->ReservationRequests;
    }
    /**
     * Set ReservationRequests value
     * @param bool $reservationRequests
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferPresenceOfItemsForCustomers
     */
    public function setReservationRequests($reservationRequests = null)
    {
        // validation for constraint: boolean
        if (!is_null($reservationRequests) && !is_bool($reservationRequests)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($reservationRequests, true), gettype($reservationRequests)), __LINE__);
        }
        $this->ReservationRequests = $reservationRequests;
        return $this;
    }
    /**
     * Get RetailOrders value
     * @return bool|null
     */
    public function getRetailOrders()
    {
        return $this->RetailOrders;
    }
    /**
     * Set RetailOrders value
     * @param bool $retailOrders
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferPresenceOfItemsForCustomers
     */
    public function setRetailOrders($retailOrders = null)
    {
        // validation for constraint: boolean
        if (!is_null($retailOrders) && !is_bool($retailOrders)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($retailOrders, true), gettype($retailOrders)), __LINE__);
        }
        $this->RetailOrders = $retailOrders;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferPresenceOfItemsForCustomers
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
