<?php

namespace FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetListReplyTransferRecipient StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetListReplyTransferRecipient
 * @subpackage Structs
 */
class GetListReplyTransferRecipient extends AbstractStructBase
{
    /**
     * The Store
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientStore
     */
    public $Store;
    /**
     * The Warehouse
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientWarehouse
     */
    public $Warehouse;
    /**
     * Constructor method for GetListReplyTransferRecipient
     * @uses GetListReplyTransferRecipient::setStore()
     * @uses GetListReplyTransferRecipient::setWarehouse()
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientStore $store
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientWarehouse $warehouse
     */
    public function __construct(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientStore $store = null, \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientWarehouse $warehouse = null)
    {
        $this
            ->setStore($store)
            ->setWarehouse($warehouse);
    }
    /**
     * Get Store value
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientStore|null
     */
    public function getStore()
    {
        return $this->Store;
    }
    /**
     * Set Store value
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientStore $store
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipient
     */
    public function setStore(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientStore $store = null)
    {
        $this->Store = $store;
        return $this;
    }
    /**
     * Get Warehouse value
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientWarehouse|null
     */
    public function getWarehouse()
    {
        return $this->Warehouse;
    }
    /**
     * Set Warehouse value
     * @param \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientWarehouse $warehouse
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipient
     */
    public function setWarehouse(\FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipientWarehouse $warehouse = null)
    {
        $this->Warehouse = $warehouse;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \FiloBlu\CegidY2\Api\TransferItemsDeliveryManagementService\StructType\GetListReplyTransferRecipient
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
